%define upstream_name	 Net-Amazon
%define upstream_version 0.62

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Framework for accessing amazon.com via SOAP and XML/HTTP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Message)
BuildRequires: perl(LWP::UserAgent) >= 5.814.0
BuildRequires: perl(Log::Log4perl) >= 0.300.0
BuildRequires: perl(Time::HiRes) >= 1.0.0
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::Simple) >= 2.80.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Net::Amazon provides an object-oriented interface to amazon.com's
SOAP and XML/HTTP interfaces. This way it's possible to create applications
using Amazon's vast amount of data via a functional interface, without
having to worry about the underlying communication mechanism.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README TODO eg
%{perl_vendorlib}/Net
%{_mandir}/man3/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.620.0-11.mga9
+ Revision: 1829943
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.620.0-10.mga8
+ Revision: 1495827
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.620.0-9.mga7
+ Revision: 1269890
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.620.0-8.mga6
+ Revision: 1030932
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.620.0-7.mga6
+ Revision: 948531
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.620.0-6.mga5
+ Revision: 787973
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.620.0-5.mga5
+ Revision: 739669
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.620.0-4.mga5
+ Revision: 732410
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.620.0-2.mga4
+ Revision: 527143
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.620.0-1.mga4
+ Revision: 439636
- update to 0.62

* Sun Jan 13 2013 umeabot <umeabot> 0.610.0-2.mga3
+ Revision: 370498
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.610.0-1.mga2
+ Revision: 163549
- update to 0.61
+ jquelin <jquelin>
- update to 0.60

* Thu Jan 20 2011 jquelin <jquelin> 0.590.0-1.mga1
+ Revision: 26667
- mageia rebuild
- imported package perl-Net-Amazon


* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.590.0-1mdv2010.1
+ Revision: 461334
- update to 0.59

* Wed Sep 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.570.0-1mdv2010.0
+ Revision: 435714
- update to 0.57

* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.560.0-1mdv2010.0
+ Revision: 432824
- update to 0.56

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.550.0-1mdv2010.0
+ Revision: 399266
- update to 0.55
- using %%perl_convert_version
- fixed license field

* Sun Jun 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdv2010.0
+ Revision: 387780
- update to new version 0.54

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdv2010.0
+ Revision: 387015
- update to new version 0.53

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdv2010.0
+ Revision: 383531
- update to new version 0.51

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-1mdv2009.0
+ Revision: 270393
- update to new version 0.50

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.49-2mdv2009.0
+ Revision: 268622
- rebuild early 2009.0 package (before pixel changes)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 0.49

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.48-1mdv2008.1
+ Revision: 152911
- update to new version 0.48
- update to new version 0.48

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.47-1mdv2008.1
+ Revision: 133602
- update to new version 0.47

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.46-1mdv2008.1
+ Revision: 109580
- update to new version 0.46

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.44-1mdv2008.1
+ Revision: 105895
- update to new version 0.44

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.43-1mdv2008.0
+ Revision: 46655
- update to new version 0.43

* Fri Apr 20 2007 Anssi Hannula <anssi@mandriva.org> 0.40-1mdv
+ Revision: 16260
- 0.40


* Tue Feb 27 2007 Anssi Hannula <anssi@mandriva.org> 0.39-1mdv2007.0
+ Revision: 126272
- 0.39
- 0.38

* Sun Jan 21 2007 Anssi Hannula <anssi@mandriva.org> 0.36-1mdv2007.1
+ Revision: 111459
- 0.36
- Import perl-Net-Amazon

* Mon May 29 2006 Anssi Hannula <anssi@mandriva.org> 0.35-1mdv2007.0
- initial Mandriva package

